Ubuntu

Tracking bug for Firefox 6 transition in Natty

Reported by Micah Gersten on 2011-08-12
262
This bug affects 2 people
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
Undecided
Unassigned
Natty
High
Micah Gersten
mozvoikko (Ubuntu)
Undecided
Unassigned
Natty
Medium
Micah Gersten

Bug Description

USN Information: USN-1192-1, USN-1192-2

This bug will track the Firefox 6 transition in natty. I will add the USN information here after release.

Micah Gersten (micahg) on 2011-08-12
visibility: private → public
Changed in firefox (Ubuntu):
status: New → Invalid
Changed in firefox (Ubuntu Natty):
assignee: nobody → Micah Gersten (micahg)
importance: Undecided → High
status: New → In Progress
Micah Gersten (micahg) wrote :

Both firefox 6 and mozvoikko uploaded to the ubuntu-mozilla-security PPA for testing

Changed in mozvoikko (Ubuntu):
status: New → Invalid
Changed in mozvoikko (Ubuntu Natty):
assignee: nobody → Micah Gersten (micahg)
importance: Undecided → Medium
status: New → In Progress
tags: added: security-verification
Changed in firefox (Ubuntu Natty):
status: In Progress → Fix Committed
Changed in mozvoikko (Ubuntu Natty):
status: In Progress → Fix Committed
Micah Gersten (micahg) wrote :

Tested Firefox 6 w/QRT on amd64 and i386 and no regressions over previous functionality found. Mozvoikko also tested and it offered Finnish language suggestions when Finnish was suggested.

tags: added: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozvoikko - 1.9.0~svn20101114r3591-0ubuntu3.11.04.2

---------------
mozvoikko (1.9.0~svn20101114r3591-0ubuntu3.11.04.2) natty-security; urgency=low

  * Rebuild against Firefox 6 (LP: #825459)
  * Rename debian/patches/port_to_firefox5.patch =>
     debian/patches/port_to_latest_firefox.patch
  * Bump maxVersion to 6.0.*
    - update debian/patches/port_to_latest_firefox.patch
  * Build with -Wno-strict-aliasing, as including nsID.h triggers this warning
    now, due to the changes in nsID::Equals()
    - update debian/patches/port_to_latest_firefox.patch
  * Build with -std=gnu++0x on Natty and newer
    - update debian/rules
 -- Chris Coulson <email address hidden> Mon, 15 Aug 2011 04:01:03 -0500

Changed in mozvoikko (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package firefox - 6.0+build1+nobinonly-0ubuntu0.11.04.1

---------------
firefox (6.0+build1+nobinonly-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release (FIREFOX_6_0_BUILD1)
    - see LP: #825459 for USN information

  * Unconditionally build with --disable-elf-hack. It's basically a noop
    on Ubuntu, as we don't get any of the nice space saving and startup
    time improvements that upstream builds get with it. Enabling it is
    problematic (it fails to build on all architectures in Ubuntu from
    Firefox 7 onwards, and is already problematic on armel when building on
    older Ubuntu versions)
    - update debian/rules
    - update debian/mozconfig.in
  * Don't unconditionally set -fshort-wchar in the libxul.pc pkgconfig file.
    It's no longer needed with newer toolchains which support gnu++0x, and
    defining it breaks the mozvoikko build
    - update debian/pkgconfig/libxul.pc.in
    - update debian/rules
  * Update globalmenu-extension to 1.0.7 release, which adds support for
    Firefox 6
  * Drop the profile migrator, as it doesn't really make any sense with the new
    release cycle, and seems to cause more trouble than it's worth. In Firefox 7,
    we want to drop the shell wrapper script anyway
    - remove debian/migrator/xulapp-profilemigrator
    - update debian/firefox.sh.in
    - update debian/firefox.install.in
    - update debian/rules
    - update debian/control.in
  * xpt_link and xpt_dump have been replaced by xpt.py
    - update debian/firefox-dev.install.in
    - update debian/firefox-dev.links.in
  * Add support for the system provided hyphenation patterns now that Firefox
    support this, by linking @MOZ_LIBDIR@/hyphenation to /usr/share/hyphen
    - update debian/firefox.links.in
  * Refreshed patches:
    - update debian/patches/firefox-kde.patch
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/plugin-for-mimetype-pref.patch
    - update debian/patches/reload-new-plugins.patch
  * The official branding moved from other-licenses to browser. Handle this
    - update debian/rules
  * Dropped patches fixed upstream:
    - remove debian/patches/use-MOZ_APP_LAUNCHER-for-launcher-exec.patch
    - remove debian/patches/fix-nsGIOService.patch
    - remove debian/patches/default-browser-check-use-gio.patch
    - remove debian/patches/update-assembler-excl-arch-list.patch
    - remove debian/patches/default-uri-handler-check-use-gio.patch
    - remove debian/patches/powerpc-build-fix.patch
    - update debian/patches/series
  * Drop the special "kde.js" file handling from the pref service. It hasn't
    had the desired effect since Firefox 4, as the specialfile handling
    doesn't apply to pref files inside the omni.jar. Moving kde.js back in to
    defaults/pref isn't an option, as these are always read after the prefs
    in the omni.jar, which would mean that all users would get the KDE
    specific prefs. Note, we only override one pref in kde.js anyway, it can
    go elsewhere if really required
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/firefox-kde.patch
    - note, this doesn't change any behaviour from...

Read more...

Changed in firefox (Ubuntu Natty):
status: Fix Committed → Fix Released
Micah Gersten (micahg) on 2011-08-17
description: updated
Micah Gersten (micahg) on 2011-08-17
description: updated
Micah Gersten (micahg) on 2011-08-17
description: updated
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers